Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Lisp - Neigung 2D

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Lisp - Neigung 2D (563 mal gelesen)
LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 07. Jan. 2019 16:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, liebe Profis 

Leider kann ich noch kein Lisp und möchte mir gerne etwas erleichtern. Es steht dieses Jahr auf meiner Ausbildungsliste.
Bis dorthin kann mir bitte jemand helfen?

Ich hätte gern die Neigung in Prozent ausgerechnet, jedoch im Lageplan, keine 3d-Höhen vorhanden.

Das Lisp sollte ca. so gehen:

Klick auf ein Attribut - Lisp liest den Wert aus
Klick auf ein anderes Attribut - Lisp liest den Wert aus, zieht es vom davorigen Wert ab und multipliziert es mit 100
Klick auf zwei Punkte - Lisp liest den Abstand und dividiert es mit dem vorigen Ergebnis. (voriges Ergebnis dividiert mit Abstand)
Klick auf ein Attribut - Lisp schreibt den Wert dort hinein.

Ist das verständlich ausgedrückt?

Kann mir bitte jemand helfen?

Lieben Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2107
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2017
Plateia, Canalis
Visual Basic

erstellt am: 07. Jan. 2019 16:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

Hallo LiebGuck (netter Name  ),
Hast Du das mal im "real" Autocad probiert?
Üblicherweise hängen Attribute an einem Block. Sprich wenn Du das Attribut anklickst bekommst Du den Block zurück und nicht den Attributwert, so kenne ich das zumindest.
Insofern müßte Deine Aufgabe anders aussehen:
- Klicke auf Block_1, lese daraus XY und das Attribut "Hohe" (Beispiel, weiß nicht wie es bei Dir heißt
- Klicke auf Block_2, lese daraus XY und das Attribut "Hohe"
- Berechne aus Abstand und Höhendifferenz die Neigung
- Klicke auf Block_Pfeil und trage in das Attribut "Neigung" den Wert Neigung ein

Soweit so einfach, in VBA wäre das für mich kein Problem, aber vielleicht finden sich ja auch ein paar Lispler 

Hilfreich ist in so einem Fall auch immer eine Beispiel.dwg zu posten

Grüße
Klaus 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

.

erstellt am: 08. Jan. 2019 07:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

zum Zeilenweise Nachvollziehen:

(defun C:NEIGUNG2D(/ ATT1 ATT2 ATT3 P1 P2 DIFF DIST VALUE)
  (if(and(setq ATT1(car(nentsel "\nAttribut 1 : ")))
        (setq ATT1(entget ATT1))
        (=(cdr(assoc 0 ATT1))"ATTRIB")
        (setq ATT1 (cdr(assoc 1 ATT1)))
        (setq ATT1 (atof ATT1))
        (setq ATT2(car(nentsel "\nAttribut 2 : ")))
        (setq ATT2(entget ATT2))
        (=(cdr(assoc 0 ATT2))"ATTRIB")
        (setq ATT2 (cdr(assoc 1 ATT2)))
        (setq ATT2 (atof ATT2))
        (setq DIFF (*(- ATT1 ATT2)100.0))
        (setq P1(getpoint "\nPunkt1: "))
        (setq P2(getpoint "\nPunkt2: "))
        (>(setq DIST(distance P1 P2))0)
        (setq VALUE(/ DIFF DIST))
        (setq VALUE(rtos VALUE 2 5))
        (setq ATT3(car(nentsel "\nAttribut 3 : ")))
        (setq ATT3(entget ATT3))
        (=(cdr(assoc 0 ATT3))"ATTRIB")
    )   
    (entmod(subst (cons 1 VALUE)(assoc 1 ATT3)ATT3))
    (prompt "\nFehler aufgetreten")
  )
  (princ)
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 08. Jan. 2019 08:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Zeichnung1.dwg

 
Guten Morgen!

Vielen Dank für Deine nette Antwort. Anbei gleich mal eine Zeichnung.

Natürlich hätte ich echt gern eine Lisp, aber eine VBA nehm ich auch. 
Hauptsache ich muss es nicht ständig in den Taschenrechner eingeben.

Achja, es wäre gut, wenn die Neigung nur mit einer Kommastelle angezeigt wird.

Danke schön.    

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 08. Jan. 2019 08:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke, Danke, Danke, Daaaaas ist soooo super, CADmium.

Kannst du mir noch einbauen, dass es auf eine Kommastelle rundet und ein % anhängt.

Ich bin soooo begeistert.     

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

.

erstellt am: 08. Jan. 2019 08:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

für die Kommastellen ist die Funktion rtos zuständig ( einfach mal in der Hilfe gucken, wie es geht ... ist schließlich ein Forum zur Selbsthilfe  ) ....

und das mit den "%" das geht mit (strcat VALUE "%")

also: jetzt ein bißchen Eigeninitiative!

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LiebGuck
Mitglied



Sehen Sie sich das Profil von LiebGuck an!   Senden Sie eine Private Message an LiebGuck  Schreiben Sie einen Gästebucheintrag für LiebGuck

Beiträge: 14
Registriert: 29.11.2017

AutoCad 2016

erstellt am: 08. Jan. 2019 11:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Schade 

Da werd ich mich wohl mal dahinter klemmen 

Danke dir 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

.

erstellt am: 08. Jan. 2019 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für LiebGuck 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von LiebGuck:

Da werd ich mich wohl mal dahinter klemmen 


Das freut mich .. Melde dich mal, ob's geklappt hat.

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz